#
# spec file for package lynx (Version 2.8.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openldap2-client openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks postfix rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel


Name:           lynx
BuildRequires:  ncurses-devel openssl-devel postfix
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Browsers
Provides:       lynxssl web_browser
Obsoletes:      lynxssl
PreReq:         /bin/cp
Requires:       xli
AutoReqProv:    on
Version:        2.8.6
Release:        48.2
Url:            http://lynx.isc.org
Summary:        A Text-Based WWW Browser
Source:         http://lynx.isc.org/lynx2.8.6/lynx2.8.6.tar.bz2
# Source1:      po.tar.bz2
Patch0:         ftp://lynx.isc.org/lynx2.8.6/patches/2.8.6rel.5.patch.gz
Patch1:         lynx-2.8.6-CVE_2008_4690.patch
Patch100:       lynx-2.8.5.dif
Patch101:       lynx-2.8.5-charset.patch
Patch102:       lynx-2.8.6-ipv6.patch
Patch103:       lynx-2.8.6-enable_xli.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Lynx is an easy-to-use browser for HTML documents and other Internet
services like FTP, telnet, and news.  Lynx is fast.  It is purely text
based and therefore makes it possible to use WWW resources on text
terminals.



Authors:
--------
    Al Gilman     
    Alexei Anatski     
    Alexey Dobriyan     
    Alois Maier     
    Andrew Belov     
    Andrey A Chernov    
    Arkadiusz Miskiewicz     
    Arnaud Giersch     
    Atsuhito Kohda     
    Bela Lubkin     
    Bill Nottingham     
    Bill Schiavo     
    Binh Do     
    Brett Lymn     
    Brian J Pardy    
    Carlton Anderson     
    Charles Karney     
    Chris Adams     
    Christian Hudon     
    Christian Jensen     
    Christian Weisgerber     
    Crouton      
    Dan Jacobson     
    David Combs     
    David Henderson     
    David Woolley     
    Dick Wesseling     
    Doug Kaufman     
    Duncan Simpson     
    Eduardo Chappa     
    Emanuele Giaquinta     
    Eric Brun     
    External      
    Foteos Macrides     
    Frank Heckenbach     
    Frederic L W Meunier   
    Frederick P Herrmann    
    Georg Drenkhahn     
    George Lindholm     
    Gisle Vanem     
    Glenn Nielsen     
    Hataguchi Takeshi     
    Heikki Kantola     
    Helen Sommer     
    Henry Nelson     
    Hiram Lester Jr    
    Hiroyuki Senshu     
    Hynek Med     
    Igor B Poretsky    
    Ilya Zakharevich     
    Ismael Cordeiro     
    J Kevin Ternes    
    Jacob Poon     
    James E Spath    
    Jan Hlavacek     
    Jason F McBrayer    
    Jean-Yves Levesque     
    Jeffrey C Honig    
    Jens Schmalzing     
    Jens Seidel     
    Jerome Lauret     
    Johannes Hromadka     
    John Bley     
    John Davis     
    John E Davis    
    John Hawkinson     
    John Nowlin     
    Jonathan Sergent     
    Julian Coleman     
    Karl Eichwalder     
    Karl-Andre Skevik     
    Kim DeVaughn     
    Klaus Weide     
    Lalo Martins     
    Larry Virden     
    Larry W Virden    
    Laura Eaves     
    Leonid Pauzner     
    Liam Davis     
    Marc Huber     
    Marek Kubita     
    Masashi Fujita     
    Masayasu Ishikawa     
    Masayuki Hatta     
    Matt Kraal     
    Michael Sobolev     
    Michael Warner     
    Michel Such     
    Mike Castle     
    Munechika Sumikawa     
    Nigel Horne     
    Pat Walsh     
    Paul D Smith    
    Paul Gilmartin     
    Peter Canning     
    Philip Webb     
    Philippe De Muyter    
    Rado Smiljanic     
    Randall      
    Risto Widenius     
    Rob Cameron     
    Ryan Nielsen     
    Scott Bigham     
    Sergey Svishchev     
    Serhii Hlodin     
    Sinan Kaan Yerli    
    Stef Caunter     
    Stepan Kasal     
    Tadayoshi Okuma     
    Thomas Braun     
    Thomas E Dickey    
    Thorsten Glaser     
    Tim Larson     
    Timur Birsh     
    Tomas Vanhala     
    Ulf Harnhammar     
    Victor Schneider     
    Ville Herva     
    Vlad Harchev     
    Wayne Buttles     
    Wesley Morgan     
    nsh@horae.dti.ne.jp      

%debug_package
%prep
%setup -n lynx2-8-6
%patch0 -p1
%patch1 -p1
%patch100 -p1
%patch101 -p0 
%patch102 -p1
%patch103 -p1
# containing a few test msg's only:
# rm -f po/{es,fr,it,ko,no,pl,pt}.po

%build
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="$RPM_OPT_FLAGS -pipe"
./configure \
	--with-ssl \
	--enable-nls \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--sysconfdir=/etc \
	--disable-default-colors \
	--disable-color-style \
	--with-screen=ncursesw \
	--enable-ipv6
make
mv lynx lynx-bw
make distclean
./configure \
	--with-ssl \
	--enable-nls \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--sysconfdir=/etc \
	--enable-default-colors \
	--with-screen=ncursesw \
	--enable-ipv6
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
make clean
make EXTRAA="-DSHOW_COLOR=TRUE"
mkdir -p $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/usr/bin/lynx $RPM_BUILD_ROOT/usr/bin/lynx-color
install lynx-bw $RPM_BUILD_ROOT/usr/bin/lynx
%find_lang %name

%files -f %name.lang
%defattr(-,root,root)
/usr/bin/lynx
/usr/bin/lynx-color
%config /etc/lynx.cfg
%config /etc/lynx.lss
%doc %{_mandir}/man1/lynx.1.gz
%doc AUTHORS CHANGES README COPYING README PROBLEMS
%doc lynx_help samples scripts

%changelog
* Wed Oct 29 2008 - kssingvo@suse.de
- fix for lynxcgi command execution CVE-2008-4690 (bnc#439149)
- not affected: .mailcap and .mime.types files read, CVE-2006-7234
* Wed Jul 04 2007 - kssingvo@suse.de
- added official patch from lynx.isc.org:
  * correct loop-limit in print_crawl_to_fd(), which broke
  "lynx -crawl -dump" from 2.8.6dev.9 changes
* Tue Apr 03 2007 - kssingvo@suse.de
- upgrade to final version of 2.8.6
- removed patch with final changes
* Thu Mar 29 2007 - dmueller@suse.de
- add ncurses-devel BuildRequires
* Mon Nov 20 2006 - kssingvo@suse.de
- added patch to have the 2.8.6 final version patches:
  * limit files set via PERSONAL_EXTENSION_MAP and PERSONAL_MAILCAP
  to be found relative to the user's home directory.
  * ensure that the configured values for GLOBAL_EXTENSION_MAP and
  GLOBAL_MAILCAP are absolute pathnames -TD
  * modify logic for reading PERSONAL_EXTENSION_MAP and
  PERSONAL_MAILCAP to ensure that they are files that are
  controlled only by the user.
* Tue Oct 31 2006 - kssingvo@suse.de
- disabled color support for non-color lynx, enabled color support
  for lynx-color
- added helpful directories to pkg documentation: samples, scripts
* Mon Oct 16 2006 - ssommer@suse.de
- updated to 2.8.6rel.2: Highligths:
  * broaden the conditions on which to reload the color-style info
  * documentation fixes
* Wed Oct 04 2006 - ssommer@suse.de
- updated to 2.8.6pre.5: Highlights:
  * buildsystem fixes
  * updated files from ftp.unicode.org
* Tue Sep 19 2006 - ssommer@suse.de
- updated to 2.8.6pre.4: Highlights:
  * add script samples/oldlynx, which gives the non-color-style
  scheme using an executable built for color-style
  * add DEFAULT_COLORS item to lynx.cfg to allow disabling the
  default colors feature at runtime, allowing better matching
  of old color scheme via a script
* Mon Sep 18 2006 - ssommer@suse.de
- updated to 2.8.6pre.3: Highlights from the Changelog:
  * add NESTED_TABLES setting to lynx.cfg to allow site override of
  the built-in default
  * add check for failure to write to disk, e.g., on disk full
  * add presentation for text/css, to allow browsing ".css" files
  * add presentation type for application/xml and text/xml mime types
  * add presentation type for application/xhtml+xml mime type
  * add "Anonymous FTP Password" to Options menu
  * add command-line option -syslog-urls to allow syslog'ing of URLs
  to be optional
  * highlight the target and pause for 20 milliseconds when selecting
  a link with the mouse
  * add -stderr option to write error messages when doing a -dump -or
  -source.
  * add -nonumbers option, which modifies the output of -dump to
  suppress the link-numbering
  * add -listonly option, which modifies the output of -dump to show
  only the list of links
  * modify treatment of symbolic links for ftp-URLs to show the link
  target, as with the local directory editor
  * lynx accepts multiple URLs on the command line
  * modify logic for -dump so it can dump all pages listed on the
  command line
- removed obsolete patches and updated the remaining patches
- config files are stored in sysconfdir not in libdir
- added /etc/lynx.lss config file
* Wed May 17 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - kssingvo@suse.de
- added three official patches
- disabled (own) security patches, which are included now
* Mon Nov 14 2005 - kssingvo@suse.de
- added fix for potential cgi_links hole (bugzilla#133645)
* Thu Oct 27 2005 - kssingvo@suse.de
- 2nd fix for nntpserver buffer overflow (bugzilla#121926)
* Thu Oct 20 2005 - kssingvo@suse.de
- fix for nntpserver buffer overflow CAN-2005-3120 (bugzilla#121926)
* Fri Oct 08 2004 - ke@suse.de
- Apply lynx-2.8.5-charset.patch: Set LOCALE_CHARSET:TRUE for detecting
  UTF-8 automatically [# 46898].
* Thu Aug 12 2004 - kssingvo@suse.de
- added official 2.8.5rel.2 patch
* Fri Jul 16 2004 - kssingvo@suse.de
- linking against libncursesw to get umlauts in UTF-8 working (bugzilla#43086)
* Fri Mar 26 2004 - mmj@suse.de
- Add postfix to # neededforbuild
* Thu Mar 04 2004 - kssingvo@suse.de
- update to 2.8.5
- adapted local patches and enhancements
* Fri Jan 09 2004 - adrian@suse.de
- use %%find_lang
* Tue Sep 02 2003 - kssingvo@suse.de
-  strange things in certain locale fix (bugzilla#29772)
* Thu May 15 2003 - coolo@suse.de
- use BuildRoot
* Tue Feb 18 2003 - kssingvo@suse.de
- fixed (hopefully) problem with IPv6 addresses (bugzilla #20744)
* Wed Dec 11 2002 - kssingvo@suse.de
- added offical patches a-d
* Fri Sep 27 2002 - uli@suse.de
- ignore both unset and empty *_proxy variables (bug #20262)
* Thu Aug 22 2002 - uli@suse.de
- moved config file from /usr/lib to /etc (bug #18179)
* Sun Jun 09 2002 - olh@suse.de
- use suse_update_config for ppc64
* Mon May 27 2002 - uli@suse.de
- assume local .php* files to be text/html (bug #15907)
* Mon Mar 18 2002 - uli@suse.de
- backed out the aforementioned fix as it breaks important sites
  (e.g. freshmeat, slashdot; fixes bug #15065)
* Tue Feb 19 2002 - uli@suse.de
- disabled default compressed handlers (fixes bug #13304)
* Mon Sep 17 2001 - uli@suse.de
- enabled use of default colors (was disabled all the time, but it
  seems the disabling didn't work before 2.8.4)
* Thu Aug 16 2001 - uli@suse.de
- update -> 2.8.4 rel. 1
- enabled IPv6 (Bug #8655)
* Fri Jul 27 2001 - ke@suse.de
- update message files from
  http://www.iro.umontreal.ca/contrib/po/maint/lynx/ ; packed as
  po.tar.bz2.
  Fix [#8662].
* Wed Jun 27 2001 - uli@suse.de
- update -> 2.8.3 final
- enabled NLS
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Jan 04 2001 - uli@suse.de
- changed lynxssl -> lynx in some paths
* Tue Dec 19 2000 - lmuelle@suse.de
- remove unnecessary Provides: lynx2
* Mon Dec 18 2000 - uli@suse.de
- "lynxssl" becomes "lynx" (non-SSL version will be dropped)
* Mon Nov 27 2000 - uli@suse.de
- fixed neededforbuild
- uses passive FTP by default (req. by Andi Kleen)
* Wed Sep 27 2000 - uli@suse.de
- new package with SSL support
* Fri Aug 18 2000 - uli@suse.de
- fixed location of help file in lynx.cfg
* Fri Jun 02 2000 - kukuk@suse.de
- Use doc macro
* Wed Mar 01 2000 - schwab@suse.de
- Add group tag.
- /usr/man -> /usr/share/man
* Mon Sep 20 1999 - ro@suse.de
- added Provides web_browser
* Wed Sep 15 1999 - uli@suse.de
- update -> 2.8.3dev9
- scrapped Makefile.Linux
- added RPM_OPT_FLAGS to CFLAGS
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 28 1998 - florian@suse.de
- add /usr/bin/lynx-color again, as there is no global
  configuration possibility
* Thu Jul 16 1998 - florian@suse.de
- update to version 2.8
- no need to have an extra ncurses-color anymore as the
  ncurses-version has now also color support: "lynx -color"
* Wed Mar 04 1998 - florian@suse.de
- update to version 2.7.2
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild
* Tue Jul 29 1997 - florian@suse.de
- add security-fix for lynx 2.7.1
- also include a "lynx-color" that is build with slang instead of ncurses
  future lynx-ncurses will also have color-support, but a separate
  lynx-color should be ok right now
* Mon Jun 02 1997 - florian@suse.de
- update to version 2-7-1
* Mon Apr 14 1997 - florian@suse.de
- update to new version 2.7
* Thu Jan 02 1997 - florian@suse.de
- Update auf Version 2-6.
- Beim Aufruf des eingebauten Hilfesystems werden lokale Dateien
  aufgerufen und nicht die Internet-Version benuetzt.
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 2-6. /usr/etc/mailcap sollte nun in aaa_base sein.
